<template>
  <span id="loadingFormSkeleton">
    <b-row>
      <div class="col-sm-3 labelSkeleton">
        <b-skeleton type="input" width="55%" />
      </div>
      <div class="col-sm-9">
        <b-skeleton type="input" width="85%" />
      </div>
    </b-row>
    <b-row>
      <div class="col-sm-3 labelSkeleton">
        <b-skeleton type="input" width="65%" />
      </div>
      <div class="col-sm-9">
        <b-skeleton type="input" width="55%" />
      </div>
    </b-row>
    <b-row>
      <div class="col-sm-3 labelSkeleton">
        <b-skeleton type="input" width="45%" />
      </div>
      <div class="col-sm-9">
        <b-skeleton type="input" width="70%" />
      </div>
    </b-row>
  </span>
</template>

<script lang="ts">
import { FormGroupPlugin, BRow, BSkeleton } from "bootstrap-vue";
import Vue from "vue";
Vue.use(FormGroupPlugin);
Vue.component("b-row", BRow);
Vue.component("b-skeleton", BSkeleton);

export default Vue.extend({
  name: "CoscineLoadingFormSkeleton",
  props: {},
});
</script>
<style>
#loadingFormSkeleton .row {
  margin-bottom: 1rem;
}
#loadingFormSkeleton .labelSkeleton .b-skeleton {
  float: right;
}
#loadingFormSkeleton .b-skeleton {
  margin-right: -7px;
  margin-left: -7px;
}
</style>
